Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class DialerObjects

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.model.DialerObjects

    public class DialerObjects

extends Object

Regroups objects used by dialers. This class encapsulates the testing set containing all the agent groups, and value generators for the reaching probability, and reaching and failing times. These parameters are the same for every dialer, but they are not needed if no dialer is used.

Constructor Summary
`DialerObjects(CallCenter cc)` Constructs a new set of dialer objects from the given call center model.

Method Summary
`AgentGroupSet` | `getAgentGroupTestSet()` Returns the testing set of agent groups used by some dialing policies.
`ValueGenerator` | `getFailTimeGen()` Returns the value generator for the needed time for an outbound call to fail.
`ValueGenerator` | `getProbReachGen()` Returns the value generator giving the probability of right party connect for any outbound call.
`ValueGenerator` | `getReachTimeGen()` Returns the value generator giving the needed time for a caller to be reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialerObjects

    public DialerObjects(CallCenter cc)

  Constructs a new set of dialer objects from the given call center model.

  Parameters:
    `cc` - the call center model.

Method Detail

### getAgentGroupTestSet

    public AgentGroupSet getAgentGroupTestSet()

  Returns the testing set of agent groups used by some dialing policies.

  Returns:
    the testing set of agent groups.

### getProbReachGen

    public ValueGenerator getProbReachGen()

  Returns the value generator giving the probability of right party connect for any outbound call. The probability often depends on the call type and period of arrival of the call.

  Returns:
    the value generator for the probability of right party connect.

### getReachTimeGen

    public ValueGenerator getReachTimeGen()

  Returns the value generator giving the needed time for a caller to be reached. By using a value generator, the distribution of this (random) time can depend on the call type and period of arrival.

  Returns:
    the value generator for the reach times.

### getFailTimeGen

    public ValueGenerator getFailTimeGen()

  Returns the value generator for the needed time for an outbound call to fail. This method is similar to `getReachTimeGen()`, for fail times.

  Returns:
    the value generator for fail times.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.